# canteen-info
Fetch and parse homepages from canteens nearby the Department of Geoscience,
Aarhus University, and display their weekly menus as a single html page.  Up
to date output can be found on
[cs.au.dk/~adc/files/canteeninfo.html](https://cs.au.dk/~adc/files/canteeninfo.html).

All content is licensed by the GNU Public License v.3 or later. See `LICENSE`
for details.

The package requires standard POSIX tools included in most modern Linux
distributions, as well as `wget` and `html2text`.

To install run:

    $ sudo make install

To generate the output HTML webpage run:

    $ canteeninfo

The HTML file will be output. To save it as a file in the current folder run
`canteeninfo > ./canteeninfo.html`. I recommend copying the file to the www root
folder if the machine hosts a webserver or transfering the file to a webserver
using SCP. It is also recommended to automatically regenerate the page with a
cron job, (``crontab -e``). For example:

    30 *   * * *   canteeninfo > /tmp/canteeninfo.html && scp /tmp/canteeninfo.html adc@fh.cs.au.dk:~/public_html_cs/files > ~/.canteeninfo.log

To uninstall run:

    $ sudo make uninstall

Author: Anders Damsgaard, https://src.adamsgaard.dk/canteen-info
